Std AnsichtEinpassenAlles

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Std ViewFitAll and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎한국어

Std ViewFitAll.svg Std AnsichtEinpassenAlles

Menüeintrag
Ansicht → Standardansichten‏‎ → EinpassenAlles
Arbeitsbereich
Alle
Standardtastenkürzel
V F
Eingeführt in Version
-
Siehe auch
Std AnsichtEinpassenAuswahl

Beschreibung

Der Std AnsichtEinpassenAlles-Befehl zoomt und schwenkt, bis alle sichtbaren Objekte in die aktive 3D Ansicht passen.

Anwendung

  1. Es gibt mehrere Wege, den ViewFitAll Befehl aufzurufen:
    • Drücke die Std ViewFitAll.svg Std AnsichtEinpassenAlles-Schaltfläche.
    • Wähle die Ansicht → Standardansicht → Std ViewFitAll.svg Alles einpassen-Option aus dem Menü.
    • Wähle die Ansicht → Standardansichten → Std ViewFitAll.svgAlles einpassen-Option aus dem 3D-Ansicht-Kontextmenü.
    • Benutze den Tastaturkurzbefehl V, dann F.

Hinweise

  • Es ist auch möglich, über das Miniwürfel-Menü des Navigationswürfels über 'Alles einpassen' zu zoomen.

Skripten

Siehe auch: FreeCAD Grundlagen Skripten.

Um die Ansicht auf 'Alles einpassen' zu ändern, verwende die Methode fitAll des AktiveAnsicht-Objekts. Diese Methode ist nicht verfügbar, wenn sich FreeCAD im Konsolenmodus befindet.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.fitAll()

Alternativ kann die SendMsgToActiveView-Methode des FreeCADGui-Objekts benutzt werden. Diese Methode ist im FreeCAD-Konsolenmodus nicht verfügbar.

import FreeCADGui

FreeCADGui.SendMsgToActiveView('ViewFit')